org.apache.jasper.compiler

## Class ServletWriter

- java.lang.Object
- - org.apache.jasper.compiler.ServletWriter

    public class ServletWriter
    extends Object

This is what is used to generate servlets.

Author:
  Anil K. Vijendran, Kin-man Chung

### Field Summary

Fields
`static String` `SPACES`
`static int` `TAB_WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`ServletWriter(PrintWriter writer)`

### Method Summary

Methods
`void` `close()`
`int` `getJavaLine()`
`void` `popIndent()`
`void` `print(char c)` Prints the given char.
`void` `print(int i)` Prints the given int.
`void` `print(String s)` Prints the given string.
`void` `printil(String s)` Prints the current indention, and then the string, and a '\n'.
`void` `printin()` Prints the current indention
`void` `printin(String s)` Prints the current indention, followed by the given string
`void` `println()` Prints a '\n'
`void` `println(String s)` Prints the given string followed by '\n'
`void` `printMultiLn(String s)` Prints the given string.
`void` `pushIndent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAB_WIDTH

    public static final int TAB_WIDTH

See Also:
  Constant Field Values

#### SPACES

    public static final String SPACES

See Also:
  Constant Field Values

### Constructor Detail

#### ServletWriter

    public ServletWriter(PrintWriter writer)

### Method Detail

#### close

    public void close()

#### getJavaLine

    public int getJavaLine()

#### pushIndent

    public void pushIndent()

#### popIndent

    public void popIndent()

#### println

    public void println(String s)

Prints the given string followed by '\n'

#### println

    public void println()

Prints a '\n'

#### printin

    public void printin()

Prints the current indention

#### printin

    public void printin(String s)

Prints the current indention, followed by the given string

#### printil

    public void printil(String s)

Prints the current indention, and then the string, and a '\n'.

#### print

    public void print(char c)

Prints the given char. Use println() to print a '\n'.

#### print

    public void print(int i)

Prints the given int.

#### print

    public void print(String s)

Prints the given string. The string must not contain any '\n', otherwise the line count will be off.

#### printMultiLn

    public void printMultiLn(String s)

Prints the given string. If the string spans multiple lines, the line count will be adjusted accordingly.